Sorry, this game doesn't work on mobile devices.
Please try on a desktop browser.
Cold War Dare Preview
Cold War Dare screenshot
You need to use a different browser to play this simulation.
We recommend Chrome, Firefox, Safari, or Edge.
Cold War Dare Preview
Cold War Dare screenshot
Looks like you need the Unity Player!
Why Unity is Great!
  • Free download
  • No ads or personal information collected
  • Powerful 3D engine
  • Works on Mac and Windows
To play Cold War Dare, you need a newer web browser, such as:
  • Firefox 42 or newer
  • Chrome 46 or newer
  • Safari 8 or newer
  • Microsoft Edge

Or just download the Unity webplayer plugin. It's free!
Unity Web Player. Install now!
Unity Web Player. Install now! Restart your browser after install.
Cold War Dare Preview
Cold War Dare screenshot
Fullscreen
Cold War Dare